
import sys
sys.path.append('cira_3dModel')

from profileFit import *
from dataFromProfile import *

if __name__ == "__main__":
	fName = 'test/trd/profile0001_edit.jpg'
	p = getProfile(fName, inv=True)
	d = [(float(i), float(p[i])) for i in range(len(p))]
	
	# two-sided first
	n = normalize(d)
	n = filter(lambda (x,y): x>-0.8 and x<0.8, n)
	# n needs to be cropped; otherwise unusable results
	# n needs to be as large as possible; otherwise also unusable results
	
	m0, m1, t0 = thresFitting(n, Func2())
	print "f(x)=", Func2().str(m0)#.replace('x', '(x-'+str(t0)+')')
	print "g(x)=", Func2().str(m1)#.replace('x', '('+str(t0)+'-x)')
	# plot m1: replace x by (x-t_best)
	
	# one-sided
	k = filter(lambda (x,y): x>=-0.027, n)
	f = Func2()
	m0 = ailib.fitting.Marquardt(f.model, f.partials, initial=f.init, eps0=0.01, eps1=0.01, tau=1.0, maxIter=200)
	samples, labels = ailib.Format.short.unpack(k)
	m0.fit(samples, labels, weights=None, theta=None, eps0=None, eps1=None, tau=None)
	print "h(x)=", Func2().str(m0)
	
	# output
	writeData(n, '/tmp/data.g')
	