
class ColorTrans:

	def __init__(self, default=None):
		self.default = default
		self.red = None
		self.green = None
		self.blue = None

	def setTrans(self, channel, poly):
		if channel == 'RED': self.red = poly
		elif channel == 'GREEN': self.green = poly
		elif channel == 'BLUE': self.blue = poly
		else: self.default = poly

	def transRGB(self, rgb):
		return [self.transValue(rgb[0], 'RED'), self.transValue(rgb[1], 'GREEN'), self.transValue(rgb[2], 'BLUE')]

	def transValue(self, value, channel):
		if channel == 'RED' and self.red != None:	return self.red.calcValue(value).y
		elif channel == 'GREEN' and self.green != None:	return self.green.calcValue(value).y
		elif channel == 'BLUE' and self.blue != None:	return self.blue.calcValue(value).y
		return self.default.calcValue(value).y

