
class Dimension:

	# Width as integer
	#width

	# Height as integer
	#height

	"""
	 * Creates a dimension
	 * 
	 * @param $iWidth		dimension width as integer
	 * @param $iHeight		dimension height as integer
	 * @exception			width and height must be integer larger than zero
	"""
	def __init__(self, width, height):
		self.width = int(width)
		self.height = int(height)

	"""
	 * Converts the dimension into a string
	 * 
	 * @return		dimension as string such as <width>x<height>
	"""
	def __str__(self):
		return str(self.width) + 'x' + str(self.height)

