
import os, os.path, commands, string, random
from custImage import custImage

class IMExec:
	"""Interface for using the image magick command 'convert' a bit more comfortable just calling it directly."""
	
	appPath = '/usr/bin/convert'
	def __init__(self, base, subdir=False):
		self.base = base
		if subdir:
			self.base = os.path.join(self.base, 'cira' + ''.join(random.Random().sample(string.letters + string.digits, 4)))
		os.makedirs(self.base)
	
	def tmpName(self, suffix):
		curr = os.path.join(self.base, '.')
		while os.path.exists(curr):
			tmpName = ''.join(random.Random().sample(string.letters + string.digits, 12)) + '.' + suffix
			curr = os.path.join(self.base, tmpName)
		return curr
	
	def convert(self, src, params, suffix='PNG'):
		return self.convertToDest(src, params, self.tmpName(suffix))

	def convertToDest(self, src, params, dst):
		cmd = self.appPath + ' ' + src.path + ' ' + params + ' ' + dst
		commands.getstatusoutput(cmd)
		return custImage(dst)

	def cleanUp(self):
		pass
		# rm self.base/*
		# rmdir self.base
